<form name="picForm" role="form" novalidate (ngSubmit)="simpan()" #editForm="ngForm" autocomplete="off">
    <h2>
        <span>Tambah Project Baru</span>
        <!-- <button class="btn btn-primary float-right jh-create-entity create-purchasing" [routerLink]="['/', { outlets: { popup: ['purchasing-new'] } }]">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down"  jhiTranslate="mpmApp.purchasing.home.createLabel">
            Create new Purchasing
            </span>
        </button> -->
    </h2>
    <div class="col-md-12">
        <div class="form-group">
            <label class="form-control-label" for="field_kdBahan">Kode Project</label>
            <input type="text" class="form-control" name="kdBahan" id="field_kdBahan" [(ngModel)]="picRole.kd_project"
                [disabled]="true" />
        </div>
    </div>
    <div class="col-md-12">
        <div class="form-group">
            <label class="form-control-label" for="field_NmBahan">Nama Project</label>
            <input type="text" class="form-control" name="nmBahan" id="field_NmBahan" (blur)="cekNamaProject()"
                [(ngModel)]="picRole.nm_project" />
        </div>
    </div>
    <div class="col-md-12">
        <div class="form-group">
            <label class="form-control-label" for="field_NmBahan">Inisial Project</label>
            <input type="text" class="form-control" name="nmBahan" id="field_Inisial"
                [(ngModel)]="picRole.inisial_project" />
        </div>
    </div>
    <div class="col-md-12">
        <div class="form-group">
            <label class="form-control-label" for="field_keterangan">Keterangan Project</label>
            <textarea pInputTextarea 
                    class="form-control" 
                    id="field_keterangan_project" 
                    name="keterangan_project" 
                    [rows]="5" 
                    [cols]="30" 
                    autoResize="autoResize" 
                    [(ngModel)]="picRole.keterangan_project">
                </textarea>
        </div>
    </div>
    <div class="col-md-12">
        <div class="form-group">
            <label class="form-control-label" for="field_keterangan">Biaya Project</label>
            <input currencyMask class="form-control" name="jumlah" id="field_jumlah"
            [(ngModel)]="picRole.biaya_project"
            [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }"
            style="width: 100%;"
            />
        </div>
    </div>
    <div class="col-md-12">
        <div class="form-group">
            <label class="form-control-label" for="field_NmBahan">Perusahaan</label>
            <select class="form-control" id="langKey" name="langKey" [(ngModel)]="picRole.kd_perusahaan" (change)="reverseData()">
                <option *ngFor="let language of listPerusahaan" [ngValue]="language.value">{{language.label}}</option>
            </select>
        </div>
    </div>
    <div class="col-md-12">
        <div class="form-group">
            <label class="form-control-label" for="field_NmBahan">Area</label>
            <select class="form-control" id="field_area" name="field_area" [(ngModel)]="picRole.area_project" [disabled]="picRole.kd_perusahaan === null || picRole.kd_perusahaan === undefined || picRole.kd_perusahaan === ''" (change)="reverseData1()">
                <option *ngFor="let language of listArea" [ngValue]="language.value">{{language.label}}</option>
            </select>
        </div>
    </div>  
    <div class="col-md-12">
        <div class="form-group">
            <label class="form-control-label" for="field_NmBahan">Lokasi</label>
            <select class="form-control" id="field_lokasi" name="field_lokasi" [(ngModel)]="picRole.lokasi_project" [disabled]="picRole.area_project === null || picRole.area_project === undefined || picRole.area_project === ''" (change)="reverseData2()">
                <option *ngFor="let language of listLokasi" [ngValue]="language.value">{{language.label}}</option>
            </select>
        </div>
    </div>
    <div class="col-md-12">
        <div class="form-group">
            <label class="form-control-label" for="field_NmBahan">Gedung</label>
            <select class="form-control" id="field_gedung" name="field_gedung" [(ngModel)]="picRole.gedung_project" [disabled]="picRole.lokasi_project === null || picRole.lokasi_project === undefined || picRole.lokasi_project === ''">
                <option *ngFor="let language of listGedung" [ngValue]="language.value">{{language.label}}</option>
            </select>
        </div>
    </div> 
    <div class="col-md-12">
        <div class="form-group">
            <label class="form-control-label" for="field_NmBahan">Status</label>
            <select class="form-control" id="field_status" name="field_status" [(ngModel)]="picRole.status">
                <option value="null">Pilih Status</option>
                <option value="0">Aktif</option>
                <option value="1">Non Aktif</option>
            </select>
        </div>
    </div>
   
    <div class="ui-g-12">
        <hr />
        <div style="text-align: right">
            <button pButton type="submit" label="Simpan" icon="fa-save"
                class="ui-button-danger flat-label-button"></button>
            <button pButton class="btn btn-primary btn-sm float-right" (click)="back()" label="Kembali"
                class="ui-button-danger flat-label-button"></button>
        </div>
    </div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
</form>